Package org.apache.tapestry5.internal.jpa

# Class NoopInjectionTarget<T>

java.lang.Object
org.apache.tapestry5.internal.jpa.NoopInjectionTarget<T>

All Implemented Interfaces:
  `javax.enterprise.inject.spi.InjectionTarget<T>`, `javax.enterprise.inject.spi.Producer<T>`

public class NoopInjectionTarget<T> extends Object implements javax.enterprise.inject.spi.InjectionTarget<T>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoopInjectionTarget()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose(T instance)`
  `Set<javax.enterprise.inject.spi.InjectionPoint>`
  `getInjectionPoints()`
  `void`
  `inject(T instance, javax.enterprise.context.spi.CreationalContext<T> ctx)`
  `void`
  `postConstruct(T instance)`
  `void`
  `preDestroy(T instance)`
  `T`
  `produce(javax.enterprise.context.spi.CreationalContext<T> ctx)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NoopInjectionTarget

    public NoopInjectionTarget()

- ## Method Details

  - ### produce

    public T produce(javax.enterprise.context.spi.CreationalContext<T> ctx)
    Specified by:
      `produce` in interface `javax.enterprise.inject.spi.Producer<T>`

  - ### dispose

    public void dispose(T instance)
    Specified by:
      `dispose` in interface `javax.enterprise.inject.spi.Producer<T>`

  - ### getInjectionPoints

    public Set<javax.enterprise.inject.spi.InjectionPoint> getInjectionPoints()
    Specified by:
      `getInjectionPoints` in interface `javax.enterprise.inject.spi.Producer<T>`

  - ### inject

    public void inject(T instance, javax.enterprise.context.spi.CreationalContext<T> ctx)
    Specified by:
      `inject` in interface `javax.enterprise.inject.spi.InjectionTarget<T>`

  - ### postConstruct

    public void postConstruct(T instance)
    Specified by:
      `postConstruct` in interface `javax.enterprise.inject.spi.InjectionTarget<T>`

  - ### preDestroy

    public void preDestroy(T instance)
    Specified by:
      `preDestroy` in interface `javax.enterprise.inject.spi.InjectionTarget<T>`